Ga naar de inhoud
AchaduDevelopers
Operationele APIGa naar website
Dashboard
Developers/API/offer_create
Aanbiedingen

Aanbieding maken

Creëert een aanbieding die in behandeling is, zonder deze te publiceren.

POST/offersoffers:write

Verzoek

urlstring · bodyOriginele HTTPS-URL voor het product.verplicht
titlestring · bodyPublieke titel van de aanbieding.verplicht
marketplacestring · bodyBron marktplaats.optioneel
pricenumber · bodyHuidige prijs.optioneel
original_pricenumber · bodyVorige prijs.optioneel
currencystring · bodyISO 4217-valuta.optioneel
imagestring · bodyHTTPS-URL van de afbeelding.optioneel
storestring · bodyWinkelnaam.optioneel
categorystring · bodyCategorie.optioneel
couponstring · bodyCouponcode.optioneel
copystring · bodyRedactionele tekst van het aanbod.optioneel
statusstring · bodySamengestelde status.optioneel

Voorbeeld

curl
curl -X POST 'https://achadu.com/api/v1/offers' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string",
  "price": 329.9,
  "original_price": 329.9
}'

Antwoord

201Bron gemaakt
4xxFout met code, bericht en request_id